Skip to content
Browse files

Moved Mongo::VERSION to its own file

You shouldn't need to require mongo.rb just to generate the gemspec.
  • Loading branch information...
1 parent 98abe35 commit ad6edb0a9e8191562b3e1bb1213c18ca642a5471 @mjackson mjackson committed
Showing with 5 additions and 4 deletions.
  1. +1 −3 lib/mongo.rb
  2. +3 −0 lib/mongo/version.rb
  3. +1 −1 mongo.gemspec
View
4 lib/mongo.rb
@@ -18,9 +18,7 @@
$:.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
-module Mongo
- VERSION = "1.3.1"
-end
+require 'mongo/version'
module Mongo
ASCENDING = 1
View
3 lib/mongo/version.rb
@@ -0,0 +1,3 @@
+module Mongo
+ VERSION = "1.3.1"
+end
View
2 mongo.gemspec
@@ -1,4 +1,4 @@
-require "./lib/mongo"
+require File.expand_path('../lib/mongo/version', __FILE__)
Gem::Specification.new do |s|
s.name = 'mongo'

0 comments on commit ad6edb0

Please sign in to comment.
Something went wrong with that request. Please try again.